Bug 1545853 - RFE: provide a man page for git-publish
Summary: RFE: provide a man page for git-publish
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-publish
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stefan Hajnoczi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-15 17:21 UTC by Daniel Berrangé
Modified: 2018-05-05 22:25 UTC (History)
1 user (show)

Fixed In Version: git-publish-1.4.3-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-05 22:25:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel Berrangé 2018-02-15 17:21:54 UTC
Description of problem:
Command line tools are usually accompanied by man pages to describe their usage, but git-publish lacks one right now.

Much of what is in README.rst could be turned into POD syntax from which a man page could be created.

Version-Release number of selected component (if applicable):
git-publish-1.4.2-2.fc27.noarch

Comment 1 Daniel Berrangé 2018-02-15 17:36:49 UTC
This would be particularly helpful for making 'git publish --help' work as that just runs 'man'

$ git publish --help
No manual entry for git-publish

Comment 2 Stefan Hajnoczi 2018-04-18 06:14:02 UTC
git-publish 1.4.3 contains the man page and I have updated the Fedora spec file to ship it.

Comment 3 Fedora Update System 2018-04-18 06:17:06 UTC
git-publish-1.4.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3e3d9e5c72

Comment 4 Fedora Update System 2018-04-19 01:36:34 UTC
git-publish-1.4.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3e3d9e5c72

Comment 5 Fedora Update System 2018-05-05 22:25:17 UTC
git-publish-1.4.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.